MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
GzipOutputStream Class Referencefinal

A filter that compresses data written to it using zlib, forwarding compressed data in the "gzip" format. More...

`#include <GzipOutputStream.hxx>`

Inheritance diagram for GzipOutputStream:
[legend]
Collaboration diagram for GzipOutputStream:
[legend]

## Public Member Functions
| GzipOutputStream (OutputStream &_next)
| Construct the filter. More...
| ~GzipOutputStream ()
void | Flush ()
| Finish the file and write all data remaining in zlib's output buffer. More...
void | Write (const void *data, size_t size) override
| Throws std::exception on error. More...
Public Member Functions inherited from OutputStream
| OutputStream ()=default
| OutputStream (const OutputStream &)=delete

## Detailed Description

A filter that compresses data written to it using zlib, forwarding compressed data in the "gzip" format.

Don't forget to call Flush() before destructing this object.

Definition at line 35 of file GzipOutputStream.hxx.

## Constructor & Destructor Documentation

GzipOutputStream::GzipOutputStream | ( | OutputStream & | _next | ) |
| explicit

Construct the filter.

GzipOutputStream::~GzipOutputStream | ( |  | ) |

## Member Function Documentation

void GzipOutputStream::Flush | ( |  | ) |

Finish the file and write all data remaining in zlib's output buffer.

void GzipOutputStream::Write | ( | const void * | data,
|  | size_t | size
| ) |  |
| override virtual

Throws std::exception on error.

Implements OutputStream.

The documentation for this class was generated from the following file:

- fs/io/GzipOutputStream.hxx